<?php

namespace App\Entities\PagSeguro\Share;

use App\Utils\Builder;

class PagSeguroSubMerchantBuilder implements Builder {
	protected $reference_id;
	protected $name;
	protected $tax_id;
	protected $mcc;
	protected $address;
	protected $phone;

	public function build(): PagSeguroSubMerchant {

		$obj = new PagSeguroSubMerchant();
		$obj->setReferenceId( $this->reference_id );
		$obj->setName( $this->name );
		$obj->setTaxId( $this->tax_id );
		$obj->setMcc( $this->mcc );
		$obj->setAddress( $this->address );
		$obj->setPhone( $this->phone );

		return $obj;

	}

	/**
	 *
	 * @param mixed $reference_id
	 */
	public function setReference_id($reference_id): PagSeguroSubMerchantBuilder {

		$this->reference_id = $reference_id;
		return $this;

	}

	/**
	 *
	 * @param mixed $name
	 */
	public function setName($name): PagSeguroSubMerchantBuilder {

		$this->name = $name;
		return $this;

	}

	/**
	 *
	 * @param mixed $tax_id
	 */
	public function setTax_id($tax_id): PagSeguroSubMerchantBuilder {

		$this->tax_id = $tax_id;
		return $this;

	}

	/**
	 *
	 * @param mixed $mcc
	 */
	public function setMcc($mcc): PagSeguroSubMerchantBuilder {

		$this->mcc = $mcc;
		return $this;

	}

	/**
	 *
	 * @param mixed $address
	 */
	public function setAddress($address): PagSeguroSubMerchantBuilder {

		$this->address = $address;
		return $this;

	}

	/**
	 *
	 * @param mixed $phone
	 */
	public function setPhone($phone): PagSeguroSubMerchantBuilder {

		$this->phone = $phone;
		return $this;

	}

}

